Report
1 year, 10 months ago.

Cannot update the bootloader for KL28Z

Hi,

Just bought my KL28Z board. I only succeeded to update the Daplink to version: 0242. Unfortunately i am not capable to update the bootloader.

I am doing this update from my iMac running High Sierra OS X.

I used the following file: OpenSDA-2.2-Bootloader-K20DX.bin I get the following error: Assert File: ..\..\..\source\daplink\drag-n-drop\flash_decoder.c Line: 157 Source: Bootloader

I would appreciate if you could help. I am new to these kind of boards.

Thank you,

Question relating to:

NXP
NXP is a leading semiconductor company founded by Philips more than 50 years ago.
Comment on this question

1 Answer

1 year, 10 months ago.

Hi Gheorghe

The file you are using, OpenSDA-2.2-Bootloader-K20DX.bin, is a raw bootloader binary and cannot be programmed with drag-n-drop. To update your bootloader you'll need to use a special bootloader update image. This update image and the steps to update can be found on the blog post here: https://os.mbed.com/blog/entry/DAPLink-bootloader-update/

Thanks, Russ

Hi Russ,

Thank you for your answer. Unfortunately there is no bootloader image for the FRDM-K28F board in the page you mentioned. Any idea from where the 2.2 version of the bootloader could be downloaded?

All the best,

posted by Gheorghe Kobori 13 Nov 2017

Hi Gheorghe,

The bootloader update for the FRDM-K28F should be available on that post. Check the table in step 1 of Updating the DAPLink bootloader.

Thanks, Russ

posted by Russ Butler 13 Nov 2017

You need to log in to post a question